// route_state.dart
import '../../domain/entities/point.dart';

abstract class RouteState {}

class RouteInitial extends RouteState {}

class RouteLoading extends RouteState {}

class RouteLoaded extends RouteState {
  final List<Point> points;
  RouteLoaded(this.points);
}

class RouteError extends RouteState {
  final String message;
  RouteError(this.message);
}